package com.tofly.ghrq_route.module.user.controller;

import com.tofly.ghrq_route.module.pipeAnalyze.domain.FieldsBean;
import com.tofly.ghrq_route.module.user.domain.CarBean;
import com.tofly.ghrq_route.module.user.domain.CompanyBean;
import com.tofly.ghrq_route.module.user.domain.CompanyUserBean;
import com.tofly.ghrq_route.module.user.domain.DepartUserBean;
import com.tofly.ghrq_route.module.user.domain.DepartmentBean;
import com.tofly.ghrq_route.module.user.domain.DepartmentUserBean;
import com.tofly.ghrq_route.module.user.domain.DeviceBean;
import com.tofly.ghrq_route.module.user.domain.MessageUserBean;
import com.tofly.ghrq_route.module.user.domain.RegisterInfoBean;
import com.tofly.ghrq_route.module.user.domain.UserBean;
import com.tofly.ghrq_route.module.user.domain.UserMapDataBean;
import com.tofly.ghrq_route.module.user.domain.UserMenuBean;
import com.tofly.ghrq_route.module.user.domain.UserOnlineMapDataBean;

import java.util.List;

/**
 * Created by Amu on 2017/2/9.
 */

public class UserCallBack implements IUserCallBack {

    @Override
    public void onLogin(boolean isSuccess, int errorCode, String errMsg, UserBean user) {

    }

    @Override
    public void onGetAccountInfo(boolean isSuccess, int errorCode, String errMsg, UserBean user) {

    }

    @Override
    public void onGetUserMenus(boolean isSuccess, int errorCode, String errMsg, List<UserMenuBean> userMenus) {

    }

    @Override
    public void onUpdateAccount(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onUpdateAccountAvatar(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onUpdateAccountPassword(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetUserInfo(boolean isSuccess, int errorCode, String errMsg, UserBean user, DeviceBean device) {

    }

    @Override
    public void onLogout(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetUserMList(boolean isSuccess, int errorCode, String errMsg, List<MessageUserBean> userList) {

    }

    @Override
    public void onGetUserList(boolean isSuccess, int errorCode, String errMsg, List<DepartUserBean> userList) {

    }

    @Override
    public void onRegisterAccount(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetRegisterDeviceInfo(boolean isSuccess, int errorCode, String errMsg, RegisterInfoBean infoBean) {

    }

    @Override
    public void onGetCompanyList(boolean isSuccess, int errorCode, String errMsg, List<CompanyBean> companyList) {

    }

    @Override
    public void onGetCompanyUserList(boolean isSuccess, int errorCode, String errMsg, List<CompanyUserBean> userList) {

    }

    @Override
    public void onGetDepartmentList(boolean isSuccess, int errorCode, String errMsg, List<DepartmentBean> departmentList) {

    }

    @Override
    public void onGetDepartmentUserList(boolean isSuccess, int errorCode, String errMsg, List<DepartmentUserBean> userList) {

    }

    @Override
    public void onGetCarList(boolean isSuccess, int errorCode, String errMsg, List<CarBean> carList) {

    }

    @Override
    public void onUserBindCar(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onUserUnBindCar(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetMapConfigData(boolean isSuccess, int errorCode, String errMsg, List<UserOnlineMapDataBean> urlConfigDataBean, List<UserMapDataBean> userMapDataBeanList) {

    }

    @Override
    public void onGetMapLayerIndexConfigData(boolean isSuccess, int errorCode, String errMsg, List<FieldsBean> results) {

    }

    @Override
    public void onCheckPdaBind(boolean isSuccess, int errorCode, String errMsg, int bind_status) {

    }

    @Override
    public void onPdaDeviceBinded(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetUserGisToken(boolean isSuccess, int errorCode, String errMsg, String gisToken) {

    }
}
